textures/pastex/flameshooter
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	q3map_surfacelight 1000
	{
		animmap 20 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 10 
	}
	{
		animmap 20 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 10 
	}
}

textures/pastex/q4glass
{
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/pastex/pas_techglass1.tga
		blendfunc filter
	}
	{
		map textures/effects/envmapdim.tga
		blendfunc add
		tcGen environment 
		alphaFunc GE128
	}
}

textures/pastex/oilstain
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm trans
	{
		map textures/pastex/oil_stain.tga
		alphaFunc GE128
	}
	{
		map textures/effects/envmapdimb.tga
		blendfunc add
		tcGen environment 
		depthFunc equal
	}
	{
		map textures/pastex/oil_rainbow.tga
		blendfunc filter
		tcMod turb 0 0.25 0 0.05
		tcMod scroll 0.05 0.07
		depthFunc equal
	}
}

textures/pastex/marq_red
{
	{
		map textures/pastex/pas_redsign.tga
		tcMod scroll 0.5 0
	}
	{
		map textures/sfx/snow.tga
		blendfunc add
		tcMod scroll 2 0.75
	}
}

textures/pastex/marq_blue
{
	{
		map textures/pastex/pas_bluesign.tga
		tcMod scroll 0.5 0
	}
	{
		map textures/sfx/snow.tga
		blendfunc add
		tcMod scroll 2 0.75
	}
}

textures/pastex/pas_slime_blue
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm slime
	deformVertexes wave 100 sin 1 1 1 0.1 
	tessSize 64
	q3map_surfacelight 100
	{
		map textures/pastex/pas_highdefslime_blue.tga
		blendfunc filter
		tcMod turb 0 0.05 0 0.1
	}
	{
		map textures/pastex/pas_highdefslime_blue.tga
		blendfunc add
		tcMod scroll 0.05 0.08
		tcGen environment 
	}
}

textures/pastex/pas_slime_red
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm slime
	deformVertexes wave 100 sin 1 1 1 0.1 
	tessSize 64
	q3map_surfacelight 100
	{
		map textures/pastex/pas_highdefslime_red.tga
		blendfunc filter
		tcMod turb 0 0.05 0 0.1
	}
	{
		map textures/pastex/pas_highdefslime_red.tga
		blendfunc add
		tcMod scroll 0.05 0.08
		tcGen environment 
	}
}

textures/pastex/mine_sky
{
	qer_editorimage textures/skies/nightsky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 350
	q3map_globaltexture
	q3map_sun 0.16 0.128 0.096 80 300 60
	skyParms - 1024 -
	{
		map textures/skies/nightsky.tga
		tcMod scroll 0.1 0.1
		tcMod scale 3 2
		depthWrite
	}
	{
		map textures/skies/nightsky_nocloud.tga
		blendfunc add
		tcMod scroll 0.05 0.05
		tcMod scale 3 3
	}
}

textures/pastex/beamer
{
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes bulge 0 1 1
	q3map_surfacelight 50
	{
		map textures/sfx/cabletest2.tga
		blendfunc add
	}
}

textures/pastex/pas_phongrock
{
 	q3map_nonplanar
 	q3map_shadeangle 179
 	qer_editorimage textures/pastex/pas_rockycliff_phong.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
	{
		map textures/pastex/pas_rockycliff.tga
 		blendFunc filter
 	}
}

